//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	InterpolatedPointsCurve.h
//
//	CHANGE HISTORY:
//		MB, 1999-??-??: 1.0.0: - first version
//
//	DESCRIPTION:
//		Abstract base class that models a set of points that can be
//		interpolated.
//
//	AUTHOR:
//		Marco Beijersbergen (MB), cosine (mbeijers@cosine.nl)
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al.,
//
//	$Header: /data/xmm12/cvsadmin/soc_repos/task_devel/packages/xcolorcod/src/InterpolatedPointsCurve.h,v 1.2 2000/07/19 12:57:36 ulammers Exp $
//

#ifndef INTERPOLATED_POINTS_CURVE_H
#define INTERPOLATED_POINTS_CURVE_H

#include <map>

template<class X, class Y>
class InterpolatedPointsCurve : public map<X,Y> {
public:
	virtual ~InterpolatedPointsCurve() {}
	virtual Y operator()(const X&) const = 0;
};

#endif
